> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 卡片充值



## OpenAPI

````yaml cn post /card/recharge
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/recharge:
    post:
      tags: []
      summary: 充值
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RechargeCardRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultRechargeCardResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  bizId: ''
                  status: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    RechargeCardRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户侧用户id
        powerCardId:
          type: string
          description: powerCard卡片id
        channel:
          type: string
          description: 开卡渠道
        rechargeAmount:
          type: number
          description: 充值金额
          minimum: 0
          exclusiveMinimum: 0
        activeRecharge:
          type: boolean
          description: 激活充值
        merchantOrderNo:
          type: string
          description: 商户充值订单号
      required:
        - merchantId
        - merchantUserId
        - powerCardId
        - channel
        - rechargeAmount
        - activeRecharge
        - merchantOrderNo
    CommonResultRechargeCardResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/RechargeCardResponse'
          description: 结果数据
    RechargeCardResponse:
      type: object
      properties:
        bizId:
          type: string
          description: 业务流水id
        status:
          type: string
          description: 状态
          enum:
            - preSuccess
            - success
            - failed
            - pending
            - retry
            - unknown

````